Fix ambiguous/out-of-scope Haddock identifiers
ClosedPublic

Authored by harpocrates on Aug 9 2018, 7:58 PM.

Details

Summary

This drastically cuts down on the number of Haddock warnings when making docs for base.
Plus this means more actual links end up in the docs! Also fixed other small mostly
markup issues in the documentation along the way.

This is a docs-only change.

Diff Detail

Repository
rGHC Glasgow Haskell Compiler
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
harpocrates created this revision.Aug 9 2018, 7:58 PM

I've been playing with a branch of Haddock that prints out line numbers beside the warnings, so fixing this was actually not too bad. And it cuts down a fair bit on the amount of warnings that scroll by every time Haddock runs on base.

I also ran across some possibly incorrect documentation. Perhaps someone could advise?

  1. the docs for exitWith mention ExitException (docs), but there is no such type. It appears to have been removed a while ago...
  2. the docs for stimesDefault mention mtimes (docs), but there is no such method in Monoid.
harpocrates edited the summary of this revision. (Show Details)Aug 10 2018, 3:37 PM
thomie accepted this revision.Aug 13 2018, 5:56 AM
thomie added a subscriber: thomie.

Nice.

I don't know about ExitException and mtimes. Maybe just leave it for somebody else to fix.

This revision is now accepted and ready to land.Aug 13 2018, 5:56 AM
This revision was automatically updated to reflect the committed changes.